%define pkg_name        Mail-Sender
%define pkg_version     0.8.13
%define rpm_pkg_version 0.8.13
%define rpm_pkg_release 1.n0i.7

Summary:       Socket() based mail with attachments, SMTP
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JE/JENDA/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(MIME::Base64)}
%{!?_without_test:BuildRequires: perl(Socket)}

%global perl_filter_req 'perl\\(Win32'


%description
Mail::Sender provides an object oriented interface to sending mails.
It doesn't need any outer program. It connects to a mail server
directly from Perl, using Socket.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_eol}


%build
%{perl_build}
%if %{!?_without_test:1}0
cat <<EOF > blib/lib/Mail/Sender.config
%%default = (
   from => ((getpwuid(\$<))[0]) . '@localhost.localdomain',
   smtp => 'localhost',
);
EOF
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.8.13-1.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.8.13

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.8.10-3.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Thu Mar 31 2005 Marius Feraru <altblue@n0i.net> 0:0.8.10-2.n0i.5
- rebuild (FC4)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.8.10-1.n0i.4
- rebuild (perl 5.8.6)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:0.8.10-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.8.10-0.n0i.2
- version 0.8.10
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Mon Sep 29 2003 Marius FERARU <altblue@n0i.net> 0.8.08-0.n0i
- version 0.8.08
- spec file (re?)created using N0i::CPAN::RPMizer/2003092601
